import { AnchoredRadialSeries } from "./AnchoredRadialSeries";
import { UnknownValuePlotting } from "igniteui-angular-core";
import { Series } from "./Series";
import { SeriesView } from "./SeriesView";
import { Type } from "igniteui-angular-core";
import { CategoryMode } from "./CategoryMode";
import { CategoryAxisBase } from "./CategoryAxisBase";
import { RadialFrame } from "./RadialFrame";
import { RadialBaseView } from "./RadialBaseView";
import { Rect } from "igniteui-angular-core";
import { List$1 } from "igniteui-angular-core";
import { Path } from "igniteui-angular-core";
import { ChartSelection } from "./ChartSelection";
import { SeriesSelectionBehavior } from "./SeriesSelectionBehavior";
import { AnchoredRadialSeriesView } from "./AnchoredRadialSeriesView";
import { Clipper } from "igniteui-angular-core";
import { RenderingContext } from "igniteui-angular-core";
/**
 * @hidden
 */
export declare class RadialLineSeries extends AnchoredRadialSeries {
    static $t: Type;
    protected bj(): Series;
    protected get_fk(): boolean;
    protected cs(): SeriesView;
    qz(a: SeriesView): void;
    adn: RadialLineSeriesView;
    constructor();
    ac(): void;
    preferredCategoryMode(a: CategoryAxisBase): CategoryMode;
    protected zw(): boolean;
    o5(a: boolean, b: SeriesView): void;
    aba(a: RadialFrame, b: RadialBaseView): void;
    ado: UnknownValuePlotting;
    protected q7(a: any, b: string, c: any, d: any): void;
    protected get_acc(): boolean;
    ak(a: Rect, b: SeriesSelectionBehavior): ChartSelection[];
    p2(a: Rect, b: List$1<ChartSelection>, c: SeriesSelectionBehavior): void;
    static $$p: string[];
}
/**
 * @hidden
 */
export declare class RadialLineSeriesView extends AnchoredRadialSeriesView {
    static $t: Type;
    protected c5: RadialLineSeries;
    constructor(a: RadialLineSeries);
    au(): void;
    get df(): Path;
    get dg(): Path;
    get de(): Path;
    private dc;
    private db;
    private dd;
    private c9;
    private c8;
    private da;
    c6(): void;
    c7(a: number, b: List$1<number[]>, c: boolean, d: UnknownValuePlotting, e: Clipper, f: number, g: number): void;
    protected bd(): void;
    protected be(): void;
    protected a8(a: RenderingContext, b: boolean): void;
    an(a: any): void;
    protected af(): void;
}
